javax.faces.component.html

## Enum HtmlSelectBooleanCheckbox.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlSelectBooleanCheckbox.PropertyKeys>
  - - javax.faces.component.html.HtmlSelectBooleanCheckbox.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlSelectBooleanCheckbox.PropertyKeys>
  Enclosing class:
    HtmlSelectBooleanCheckbox

      protected static enum HtmlSelectBooleanCheckbox.PropertyKeys
      extends Enum<HtmlSelectBooleanCheckbox.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `dir`
    `disabled`
    `label`
    `lang`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `role`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlSelectBooleanCheckbox.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlSelectBooleanCheckbox.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlSelectBooleanCheckbox.PropertyKeys accesskey

    - #### dir

          public static final HtmlSelectBooleanCheckbox.PropertyKeys dir

    - #### disabled

          public static final HtmlSelectBooleanCheckbox.PropertyKeys disabled

    - #### label

          public static final HtmlSelectBooleanCheckbox.PropertyKeys label

    - #### lang

          public static final HtmlSelectBooleanCheckbox.PropertyKeys lang

    - #### onblur

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onblur

    - #### onchange

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onchange

    - #### onclick

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlSelectBooleanCheckbox.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlSelectBooleanCheckbox.PropertyKeys onselect

    - #### readonly

          public static final HtmlSelectBooleanCheckbox.PropertyKeys readonly

    - #### role

          public static final HtmlSelectBooleanCheckbox.PropertyKeys role

    - #### style

          public static final HtmlSelectBooleanCheckbox.PropertyKeys style

    - #### styleClass

          public static final HtmlSelectBooleanCheckbox.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlSelectBooleanCheckbox.PropertyKeys tabindex

    - #### title

          public static final HtmlSelectBooleanCheckbox.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlSelectBooleanCheckbox.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlSelectBooleanCheckbox.PropertyKeys c : HtmlSelectBooleanCheckbox.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlSelectBooleanCheckbox.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlSelectBooleanCheckbox.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.